%define upstream_name    Dist-Zilla-Plugin-Alien
%define upstream_version 0.023

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Dist::Zilla::PluginBundle::Basic for Alien
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Alien::Base)
BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This is a simple wrapper around Alien::Base, to make it very simple to
generate a distribution that uses it. You only need to make a module like
in this case Alien::myapp which extends Alien::Base and additionally a url
that points to the path where the downloadable .tar.gz of the application
or library can be found. For more informations about the parameter, please
checkout also the the Alien::Base manpage documentation. The _repo_
paramter is automatically taken apart to supply the procotol, host and
other parameters for the Alien::Base manpage.

*Warning*: Please be aware that the Alien::Base manpage uses the
Module::Build manpage, which means you shouldn't have the
Dist::Zilla::Plugin::MakeMaker manpage loaded. For our case, this means,
you can't just easily use it together with the common the
Dist::Zilla::PluginBundle::Basic manpage, because this includes it. As
alternative you can use the Dist::Zilla::PluginBundle::Alien manpage which
is also included in this distribution.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml LICENSE META.json README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.23.0-2.mga6
+ Revision: 1025814
- Rebuild for perl 5.22.2

* Sat Apr 09 2016 shlomif <shlomif> 0.23.0-1.mga6
+ Revision: 999579
- imported package perl-Dist-Zilla-Plugin-Alien


* Sat Apr 09 2016 cpan2dist 0.023-1mga
- initial mageia release, generated with cpan2dist
